function submit_ReplicationTask() { //replicate
  var zpool = jQuery('#snapshot_zpoolname').html();
  var zfilesys = jQuery('#snapshot_zfilesysname').html();
  var hour = jQuery('#create_replicationtask_hours').val();
  var minute = jQuery('#create_replicationtask_minutes').val();
  if (jQuery('#create_replicationtask_daily').prop('checked') == true) {
    timing = minute + " " + hour + " * * * ";
  }
  if (jQuery('#create_replicationtask_weekly').prop('checked') == true) {
    var week = jQuery('#create_replicationtask_weeks').val();
    timing = minute + " " + hour + " * * " + week + " ";
  }
  if (jQuery('#create_replicationtask_monthly').prop('checked') == true) {
    var day = jQuery('#create_replicationtask_days').val();
    timing = minute + " " + hour + " " + day + " * * "
  }
  var sendToDir = jQuery('#unaszfs_snapshot_folder_select_2').val();
  var taskname = jQuery.trim(jQuery('#create_replicationtask_name').val());

  if (!jQuery('#jv-timingTask').prop('checked')) {
    timing = 0;
  }

  let data = {
    cmd: 'zfs_snapshot_replicate',
    params: {
      name: taskname,
      timing: timing,
      zpool: zpool,
      zfilesys: zfilesys,
      sendto: sendToDir
    }
  }

  jQuery.ajax({
    url: "/apps/zfs/includes/index.php",
    type: "POST",
    async: true,
    data: JSON.encode(data),
    dataType: "json",
    contentType: 'application/json',
    timeout: 300000,
    success: function(data) {
      var w = window.top.UNAS.GetWindow('jv-createTaskWindow');
      w.callBack();
      MUI.closeWindow($('jv-createTaskWindow'));
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {
      alert(textStatus);
    }
  });
}
jQuery("#create_replicationtask_name").bind('input propertychange', function(e) {
  upReplicationTaskBtn();
})
jQuery("#unaszfs_snapshot_folder_select_2").bind('input propertychange', function(e) {
  upReplicationTaskBtn();
})

function upReplicationTaskBtn() {
  var tasknem = jQuery("#create_replicationtask_name").val();
  var taskfolder = jQuery("#unaszfs_snapshot_folder_select_2").val();
  if (tasknem && taskfolder) {
    jQuery('#jv-replicationTaskBtn').attr('class', 'unas_button_sub').attr('disabled', false);
  } else {
    jQuery('#jv-replicationTaskBtn').attr('class', 'unas_button_sub_disabled').attr('disabled', true);
  }
}
jQuery('#create_replicationtask_daily').click(function() {
  jQuery('#create_replicationtask_weeks_cont').attr('style', "display:none");
  jQuery('#create_replicationtask_days_cont').attr('style', "display:none");
  jQuery('#create_replicationtask_days_cont').prop('disabled', false);
})
jQuery('#create_replicationtask_weekly').click(function() {
  jQuery('#create_replicationtask_weeks_cont').attr('style', "display:block;");
  jQuery('#create_replicationtask_days_cont').attr('style', "display:none");
  jQuery('#create_replicationtask_weeks').prop('disabled', false);
})
jQuery('#create_replicationtask_monthly').click(function() {
  jQuery('#create_replicationtask_weeks_cont').attr('style', "display:none");
  jQuery('#create_replicationtask_days_cont').attr('style', "display:block;");
  jQuery('#create_replicationtask_days').prop('disabled', false);
})

function displayTime() {
  var sel_hour = jQuery('#create_replicationtask_hours');
  var sel_minutes = jQuery('#create_replicationtask_minutes');
  var sel_weeks = jQuery('#create_replicationtask_weeks');
  var sel_days = jQuery('#create_replicationtask_days');
  var weekArray = new Array('Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday');
  for (var i = 0; i < 24; i++) {
    sel_hour.append('<option value="' + i + '">' + i + '</option>');
  }
  for (var i = 0; i < 60; i++) {
    sel_minutes.append('<option value="' + i + '">' + i + '</option>');
  }
  for (var i = 1; i < 7; i++) {
    sel_weeks.append('<option value="' + i + '">' + UNAS._(weekArray[i]) + '</option>');
  }
  sel_weeks.append('<option value="0">' + UNAS._(weekArray[0]) + '</option>');
  for (var i = 1; i <= 31; i++) {
    sel_days.append('<option value="' + i + '">' + i + '</option>');
  }
}

function selectCreateTaskFolder() {
  var ev = window.event || arguments.callee.caller.arguments[0];
  ev.stopPropagation();
  jQuery('#jv-selectcreatetaskfolder').slideToggle();
}

(function() {
  displayTime();


  initTreeData_zfs('#jv-createTask-jstree', '#unaszfs_snapshot_folder_select_2', function() {
    upReplicationTaskBtn();
  });

  jQuery('#jv-timingTask').click(function(){

    if (jQuery(this).prop('checked')) {
      jQuery('input[name="create_replicationtask_schedule_type"]').attr('disabled', false);
      jQuery('#create_replicationtask_hours').attr('disabled', false);
      jQuery('#create_replicationtask_minutes').attr('disabled', false);
      jQuery('#create_replicationtask_weeks').attr('disabled', false);
      jQuery('#create_replicationtask_days').attr('disabled', false);
    }else {
      jQuery('input[name="create_replicationtask_schedule_type"]').attr('disabled', true);
      jQuery('#create_replicationtask_hours').attr('disabled', true);
      jQuery('#create_replicationtask_minutes').attr('disabled', true);
      jQuery('#create_replicationtask_weeks').attr('disabled', true);
      jQuery('#create_replicationtask_days').attr('disabled', true);

    }
  })

})()
